
TYPO3.Flow - Feature # 9547

Status: Rejected Priority: Must have
Author: Bastian Waidelich Category: Security
Created: 2010-09-01 Assigned To:
Updated: 2011-01-07 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Reactivate HMAC or implement substitute
Description

Currently Fluid Forms still create a hidden "__hmac" field, but apparently that is no longer validated on the server side.
IMO we need this request hash validation to prevent CSRF (http://en.wikipedia.org/wiki/Cross-site_request_forgery) attacks.
A possible alternative solution might be to store the form fields in a request stack (#3620)

Related issues:
duplicates TYPO3.Flow - Task # 6606: RequestHash should be implemented by a f... Closed 2010-02-25

History
#1 - 2010-09-01 11:57 - Sebastian Kurfuerst

after re-thinking about this, I also think we badly need this feature again.

#2 - 2010-12-20 16:42 - Karsten Dambekalns
- Tracker changed from Bug to Feature

#3 - 2011-01-07 11:10 - Andreas Förthner
- Status changed from New to Rejected

this is a duplicate...
